RecursiveIterator::getChildren
SeekableIterator
RecursiveIterator
PHP Manual

# RecursiveIterator::hasChildren

(PHP 5 >= 5.1.0)

RecursiveIterator::hasChildren — Returns if an iterator can be created fot the current entry.

### Description

public bool RecursiveIterator::hasChildren ( void )

Returns if an iterator can be created fot the current entry. RecursiveIterator::getChildren.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the current entry can be iterated over, otherwise returns `FALSE`.

### See Also

- RecursiveIterator::getChildren() - Returns an iterator for the current entry.

RecursiveIterator::getChildren
SeekableIterator
RecursiveIterator
PHP Manual